gr::dab::ofdm_move_and_insert_zero Class Reference

<+description of block+> More...

`#include <ofdm_move_and_insert_zero.h>`

Inheritance diagram for gr::dab::ofdm_move_and_insert_zero:
[legend]

## Public Types

typedef std::shared_ptr< ofdm_move_and_insert_zero > | sptr

## Static Public Member Functions

static sptr | make (unsigned int fft_length, unsigned int num_carriers)
| Return a shared_ptr to a new instance of dab::ofdm_move_and_insert_zero.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<ofdm_move_and_insert_zero> gr::dab::ofdm_move_and_insert_zero::sptr

## Member Function Documentation

## make()

sptr gr::dab::ofdm_move_and_insert_zero::make | ( | unsigned int | fft_length,
|  | unsigned int | num_carriers )

static

Return a shared_ptr to a new instance of dab::ofdm_move_and_insert_zero.

To avoid accidental use of raw pointers, dab::ofdm_move_and_insert_zero's constructor is in a private implementation class. dab::ofdm_move_and_insert_zero::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- ofdm_move_and_insert_zero.h